package ejbs;

import entities.Course;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class CascadePersistBean implements CascadePersistRemote {
    
    @PersistenceContext(unitName="manytomany")
    EntityManager em;
    
    public CascadePersistBean() {
    }
    
    public void persistCourse(Course course) {
        em.persist(course);
    }

    public Course getCourse(int id) {
        Course course = em.find(Course.class, id);
        //Just doing some action on the students collection so that it is loaded.
        course.getStudents().size();
        return course;
    }
    
}
